- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions

# FbxEmbeddedFilesAccumulator Class Reference

Search for all occurrences

## Detailed Description

This processor is used to accumulate the list of file dependencies (embedded files) in a hierarchy of objects.

It retrieves information of embedded files from objects and accumulates them to its class member mEmbeddedFiles.

See also:
  FbxProcessor::ProcessCollection(FbxCollection *)

Definition at line 28 of file fbxembeddedfilesaccumulator.h.

`#include <fbxembeddedfilesaccumulator.h>`

Inheritance diagram for FbxEmbeddedFilesAccumulator:
[legend]

List of all members.

## Classes
struct | EmbeddedFileInfo
struct | PropertyUrlIndex
| Map the object to the property's hierarchical name. More...
struct | PropertyUrlIndexCompare
| Comparer for PropertyUrlIndexSet, which outputs consistent partial orders for PropertyUrlIndex pairs. More...
## Public Member Functions
| FbxEmbeddedFilesAccumulator (FbxManager &pManager, const char *pName, FbxSet2< FbxString > &pPropertyFilter)
| Constructor.
virtual | ~FbxEmbeddedFilesAccumulator ()
##
typedef FbxSet2 < PropertyUrlIndex, PropertyUrlIndexCompare > | PropertyUrlIndexSet
typedef FbxMap< FbxObject *, PropertyUrlIndexSet > | ObjectPropertyMap
##
typedef FbxMap< FbxString, EmbeddedFileInfo > | EmbeddedFilesMap
| Map the (absolute filename) to which object/properties use this file.
EmbeddedFilesMap | mEmbeddedFiles

## Member Typedef Documentation

typedef FbxSet2<PropertyUrlIndex, PropertyUrlIndexCompare> PropertyUrlIndexSet

Search for all occurrences

Definition at line 83 of file fbxembeddedfilesaccumulator.h.

typedef FbxMap<FbxObject*, PropertyUrlIndexSet> ObjectPropertyMap

Search for all occurrences

Definition at line 85 of file fbxembeddedfilesaccumulator.h.

typedef FbxMap<FbxString, EmbeddedFileInfo> EmbeddedFilesMap

Search for all occurrences

Map the (absolute filename) to which object/properties use this file.

To simply get the list of file dependencies, iterate through this map and query all the keys.

Definition at line 100 of file fbxembeddedfilesaccumulator.h.

## Constructor & Destructor Documentation

FbxEmbeddedFilesAccumulator | ( | FbxManager & | pManager,
|  | const char * | pName,
|  | FbxSet2< FbxString > & | pPropertyFilter
| ) |  |

Constructor.

The name is not important. The property filter is a list of strings, property names, which are automatically ignored when encountered. Property names must be the full hierarchical property name (ie: parent|child|child).

Parameters:

  pManager | Reference to the SDK manager.
  pName | Name of this object.
  pPropertyFilter | Reference to the property filter.

virtual ~FbxEmbeddedFilesAccumulator | ( |  | ) | `[virtual]`

## Member Data Documentation

EmbeddedFilesMap mEmbeddedFiles

Search for all occurrences

Definition at line 102 of file fbxembeddedfilesaccumulator.h.

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxembeddedfilesaccumulator.h

FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator
FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator FbxEmbeddedFilesAccumulator